Skip to main content
`Ctrl`+`K`

# LMEGetConvergedReason

Gets the reason why the `LMESolve()` iteration was stopped.

## Synopsis

    #include "slepclme.h"
    PetscErrorCode LMEGetConvergedReason(LME lme,LMEConvergedReason *reason)

Not Collective

## Input Parameter

- lme - the linear matrix equation solver context

## Output Parameter

- reason - negative value indicates diverged, positive value converged, see `LMEConvergedReason` for the possible values

## Options Database Key

- -lme_converged_reason - print reason for convergence/divergence, and number of iterations

## Note

If this routine is called before or doing the `LMESolve()` the value of `LME_CONVERGED_ITERATING` is returned.

## See Also

LME: Linear Matrix Equation, `LMESetTolerances()`, `LMESolve()`, `LMEConvergedReason`, `LMESetErrorIfNotConverged()`

## Level

intermediate

## Location

src/lme/interface/lmesolve.c

## Examples

src/lme/tutorials/ex32.c

Index of all LME routines Table of Contents for all manual pages Index of all manual pages